Data Containers - List
List data containers.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/data?api-version=2025-09-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/data?api-version=2025-09-01&$skip={$skip}&listViewType={listViewType}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
workspace
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$ |
Name of Azure Machine Learning workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$skip
|
query |
string |
Continuation token for pagination. |
|
|
list
|
query |
View type for including/excluding (for example) archived entities. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Error |
Examples
List Workspace Data Container.
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/workspace123/data?api-version=2025-09-01
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/workspace123/data/datacontainer123",
"name": "datastore123",
"type": "Microsoft.MachineLearningServices/workspaces/data",
"properties": {
"dataType": "UriFile",
"description": "string",
"tags": {
"tag1": "value1",
"tag2": "value2"
},
"properties": {
"properties1": "value1",
"properties2": "value2"
}
},
"systemData": {
"createdAt": "2020-12-01T12:00:00.000Z",
"createdBy": "John Smith",
"createdByType": "User",
"lastModifiedAt": "2020-12-01T12:00:00.000Z",
"lastModifiedBy": "John Smith",
"lastModifiedByType": "User"
}
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/workspace123/data/datacontainer124",
"name": "datastore124",
"type": "Microsoft.MachineLearningServices/workspaces/data",
"properties": {
"dataType": "UriFile",
"description": "string",
"tags": {
"tag1": "value1",
"tag2": "value2"
},
"properties": {
"properties1": "value1",
"properties2": "value2"
}
},
"systemData": {
"createdAt": "2020-12-01T12:00:00.000Z",
"createdBy": "John Smith",
"createdByType": "User",
"lastModifiedAt": "2020-12-01T12:00:00.000Z",
"lastModifiedBy": "John Smith",
"lastModifiedByType": "User"
}
}
],
"nextLink": "nextlink"
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Data |
Container for data asset versions. |
|
Data |
Azure Resource Manager resource envelope. |
|
Data |
A paginated list of DataContainer entities. |
|
Data |
Enum to determine the type of data. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
List |
|
|
system |
Metadata pertaining to creation and last modification of the resource. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataContainer
Container for data asset versions.
| Name | Type | Default value | Description |
|---|---|---|---|
| dataType |
[Required] Specifies the type of data. |
||
| description |
string |
The asset description text. |
|
| isArchived |
boolean |
False |
Is the asset archived? |
| latestVersion |
string |
The latest version inside this container. |
|
| nextVersion |
string |
The next auto incremental version |
|
| properties |
object |
The asset property dictionary. |
|
| tags |
object |
Tag dictionary. Tags can be added, removed, and updated. |
DataContainerResource
Azure Resource Manager resource envelope.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties |
[Required] Additional attributes of the entity. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
DataContainerResourceArmPaginatedResult
A paginated list of DataContainer entities.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link to the next page of DataContainer objects. If null, there are no additional pages. |
| value |
An array of objects of type DataContainer. |
DataType
Enum to determine the type of data.
| Value | Description |
|---|---|
| uri_file | |
| uri_folder | |
| mltable |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ListViewType
| Value | Description |
|---|---|
| ActiveOnly | |
| ArchivedOnly | |
| All |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |